# I3dShUtilities.h File Reference

## Classes
struct | SEditorCouple
struct | LeakStats
struct | I3DShUtilities
struct | I3DDBActionServer
## Defines
#define | kAnyPatchPrimitive 'p***'
#define | kAnyFacetPrimitive 'f***'
#define | kAnyEditing 0
#define | kNativeEditing 1
#define | kConvertToOtherEditing 2
#define | kConvertToPatchEditing 3
#define | kConvertToFacetsEditing 4
#define | kDefaultEditing 5
#define | kPrimitiveMModeler 'mpmp'
#define | kModelerManagerModuleID 'modm'
#define | kShaderManagerModuleID 'shdm'
#define | kChange_HideRoom 'HdRm'
#define | kChange_ShowRoom 'SoRm'
#define | kChange_BeginImmediateUpdate 'BgnU'
#define | kChange_ImmediateUpdate 'Updt'
#define | kChange_EndImmediateUpdate 'EndU'
#define | kChange_ActionBegin 'BgnA'
#define | kChange_ActionEnd 'EndA'
#define | kChange_TrackingBegin 'TraB'
#define | kChange_TrackingEnd 'TraE'
#define | kChange_OpenDocument 'OpnD'
#define | kChange_ActiveDocument 'ActD'
#define | kChange_ClosingDocument 'ClsD'
#define | kChange_PrefsChanged 'PrCh'
#define | kChange_PrefPreviewChanged 'Prvi'
#define | kChange_PrefPreviewTextureDowngrade 'Prtg'
#define | kBoundingBoxPrimitiveID 'bbox'
#define | kConePrimitiveID 'co '
#define | kCloudsPrimitiveID 'clou'
#define | kCubePrimitiveID 'cube'
#define | kCylinderPrimitiveID 'cyli'
#define | kDodecahedraPrimitiveID 'dode'
#define | kEarthPrimitiveID 'RfTG'
#define | kFacetMeshPrimitiveID 'fmes'
#define | kFirePrimitiveID 'fire'
#define | kFogPrimitiveID 'fogg'
#define | kFormulaPrimitiveID 'scri'
#define | kFountainPrimitiveID 'foun'
#define | kFreeFormPrimitiveID 'IDff'
#define | kIcosahedronPrimitiveID 'icos'
#define | kInfinitePlatePrimitiveID 'infp'
#define | kMetaBallObjectPrimitiveID 'RfBP'
#define | kNothingPrimitiveID 'noth'
#define | kOctohedraPrimitiveID 'octo'
#define | kParticleEmitterPrimitiveID 'emit'
#define | kPatchArrayPrimitiveID 'pa '
#define | kPatchListPrimitiveID 'pab '
#define | kPlanePrimitiveID 'RfIP'
#define | kPolygonListPrimitiveID 'im '
#define | kPolygonArrayPrimitiveID 'po '
#define | kScenePrimitiveID 'sc '
#define | kSplineFormPrimitiveID 'IDsp'
#define | kSplineObjectPrimitiveID 'ex '
#define | kStandardPrimitiveID 'prim'
#define | kTeapotPrimitiveID 'COtp'
#define | kTerrainPrimitiveID 'terr'
#define | kTetrahedraPrimitiveID 'tetr'
#define | kTextPrimitiveID 'tx '
## Enumerations
enum | EBrowserPreviewType { kTextOnlyPreview, kSmallPreview32, kLargePreview64, kWidePreview86 }
enum | EInsertTreePos { kInsertFirst, kInsertLast, kInsertLeft, kInsertRight }
## Functions
| MCDEFINE_GUID_H (IID_I3DShUtilities)
| MCDEFINE_GUID_H (IID_I3DDBActionServer)
| MCDEFINE_GUID_H (CLSID_StandardFacetMeshAccumulator)
| MCDEFINE_GUID_H (CLSID_StandardFacetMeshIterator)

## Define Documentation

#define kAnyEditing 0

#define kAnyFacetPrimitive 'f***'

#define kAnyPatchPrimitive 'p***'

#define kBoundingBoxPrimitiveID 'bbox'

#define kChange_ActionBegin 'BgnA'

#define kChange_ActionEnd 'EndA'

#define kChange_ActiveDocument 'ActD'

#define kChange_BeginImmediateUpdate 'BgnU'

#define kChange_ClosingDocument 'ClsD'

#define kChange_EndImmediateUpdate 'EndU'

#define kChange_HideRoom 'HdRm'

#define kChange_ImmediateUpdate 'Updt'

#define kChange_OpenDocument 'OpnD'

#define kChange_PrefPreviewChanged 'Prvi'

#define kChange_PrefPreviewTextureDowngrade 'Prtg'

#define kChange_PrefsChanged 'PrCh'

#define kChange_ShowRoom 'SoRm'

#define kChange_TrackingBegin 'TraB'

#define kChange_TrackingEnd 'TraE'

#define kCloudsPrimitiveID 'clou'

#define kConePrimitiveID 'co '

#define kConvertToFacetsEditing 4

#define kConvertToOtherEditing 2

#define kConvertToPatchEditing 3

#define kCubePrimitiveID 'cube'

#define kCylinderPrimitiveID 'cyli'

#define kDefaultEditing 5

#define kDodecahedraPrimitiveID 'dode'

#define kEarthPrimitiveID 'RfTG'

#define kFacetMeshPrimitiveID 'fmes'

#define kFirePrimitiveID 'fire'

#define kFogPrimitiveID 'fogg'

#define kFormulaPrimitiveID 'scri'

#define kFountainPrimitiveID 'foun'

#define kFreeFormPrimitiveID 'IDff'

#define kIcosahedronPrimitiveID 'icos'

#define kInfinitePlatePrimitiveID 'infp'

#define kMetaBallObjectPrimitiveID 'RfBP'

#define kModelerManagerModuleID 'modm'

#define kNativeEditing 1

#define kNothingPrimitiveID 'noth'

#define kOctohedraPrimitiveID 'octo'

#define kParticleEmitterPrimitiveID 'emit'

#define kPatchArrayPrimitiveID 'pa '

#define kPatchListPrimitiveID 'pab '

#define kPlanePrimitiveID 'RfIP'

#define kPolygonArrayPrimitiveID 'po '

#define kPolygonListPrimitiveID 'im '

#define kPrimitiveMModeler 'mpmp'

#define kScenePrimitiveID 'sc '

#define kShaderManagerModuleID 'shdm'

#define kSplineFormPrimitiveID 'IDsp'

#define kSplineObjectPrimitiveID 'ex '

#define kStandardPrimitiveID 'prim'

#define kTeapotPrimitiveID 'COtp'

#define kTerrainPrimitiveID 'terr'

#define kTetrahedraPrimitiveID 'tetr'

#define kTextPrimitiveID 'tx '

## Enumeration Type Documentation

enum EBrowserPreviewType

Enumerator:

  kTextOnlyPreview |
  kSmallPreview32 |
  kLargePreview64 |
  kWidePreview86 |

enum EInsertTreePos

Enumerator:

  kInsertFirst |
  kInsertLast |
  kInsertLeft |
  kInsertRight |

## Function Documentation

MCDEFINE_GUID_H | ( | CLSID_StandardFacetMeshIterator |  | ) |

MCDEFINE_GUID_H | ( | CLSID_StandardFacetMeshAccumulator |  | ) |

MCDEFINE_GUID_H | ( | IID_I3DDBActionServer |  | ) |

MCDEFINE_GUID_H | ( | IID_I3DShUtilities |  | ) |